Bug 1481547 - [RFE] Missing the ability to set custom attributes on services via api
Summary: [RFE] Missing the ability to set custom attributes on services via api
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.0
Assignee: Gregg Tanzillo
QA Contact: Martin Kourim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-15 04:08 UTC by Kevin Morey
Modified: 2018-03-01 13:15 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 13:15:53 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 0 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Description Kevin Morey 2017-08-15 04:08:01 UTC
Description of problem:
We are missing the ability to set a custom attribute on services via the API. As a cloud administrator i need the ability to provision resources via an Ansible playbook and then leverage custom attributes to assist with a retirement playbook. But there does not seem to be a way to set custom attributes on services. The same exact api action works on VMs and providers but not on services.

Version-Release number of selected component (if applicable):
5.8.1

How reproducible:
100%

Steps to Reproduce:

This does not work:
# curl -k -u admin:smartvm -X GET https://localhost/api/services/12000000000002/custom_attributes

This works:
curl -k -u admin:smartvm -X GET https://localhost/api/vms/12000000000032/custom_attributes


Actual results:
HTTP 404 error

Expected results:
HTTP 200 and a list of custom attributes on the service

Additional info:

Comment 3 CFME Bot 2017-10-05 18:24:32 UTC
New commit detected on ManageIQ/manageiq-api/master:
https://github.com/ManageIQ/manageiq-api/commit/c4f74c0b9c025a557fcaef6e473aa658509b6184

commit c4f74c0b9c025a557fcaef6e473aa658509b6184
Author:     Bo Yao <icerove@gmail.com>
AuthorDate: Wed Sep 27 16:39:27 2017 -0400
Commit:     Bo Yao <icerove@gmail.com>
CommitDate: Sat Sep 30 10:09:57 2017 -0400

    add customer attr mixin for services api
    https://bugzilla.redhat.com/show_bug.cgi?id=1481547

 app/controllers/api/services_controller.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 7 Martin Kourim 2018-02-13 14:29:40 UTC
Verified using our test automation that it's possible to set a custom attribute on services via the API on 5.9.0.20

Comment 11 errata-xmlrpc 2018-03-01 13:15:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.